List deployments
Returns the deployment history for a project, newest first. Use the `status` filter to find failed builds.
GET/projects/{id}/deployments
Authorization
Requires: BearerAuth
Path parameters
idstring (uuid)pathrequiredQuery parameters
statusenum (queued, building, deployed...)queryFilter by deployment status
options:
queuedbuildingdeployedfailedlimitintegerquerydefault: 20Response
200 — Array of deployments
dataobject[]List deployments
curl --request GET \
--url 'https://api.codivdocs.com/v1/projects/{id}/deployments' \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"status": "queued",
"commit_sha": "<string>",
"project_id": "00000000-0000-0000-0000-000000000000",
"started_at": "2026-04-13T03:25:53.351Z",
"finished_at": "2026-04-13T03:25:53.351Z",
"pages_total": 0,
"pages_failed": 0,
"pages_success": 0
}
]
}